> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Join Requests



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/join-requests
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/join-requests:
    get:
      tags:
        - Workspace Join Requests
      summary: List Workspace Join Requests
      operationId: WorkspaceJoinRequestsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PendingJoinRequestDto'
components:
  schemas:
    PendingJoinRequestDto:
      type: object
      properties:
        id:
          type: string
        user:
          type: object
          properties:
            id:
              type: string
            email:
              type: string
            name:
              type: string
              nullable: true
          required:
            - id
            - email
            - name
        createdAt:
          type: string
      required:
        - id
        - user
        - createdAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.